com.mockobjects.dynamic

## Class AnyConstraintMatcher

- java.lang.Object
- - com.mockobjects.dynamic.AnyConstraintMatcher

All Implemented Interfaces:
  ConstraintMatcher

    public class AnyConstraintMatcher
    extends java.lang.Object
    implements ConstraintMatcher

### Constructor Summary

Constructors
Constructor and Description
`AnyConstraintMatcher()`

### Method Summary

Methods
`java.lang.Object[]` `getConstraints()`
`boolean` `matches(java.lang.Object[] args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnyConstraintMatcher

    public AnyConstraintMatcher()

### Method Detail

#### matches

    public boolean matches(java.lang.Object[] args)

Specified by:
  `matches` in interface `ConstraintMatcher`

#### getConstraints

    public java.lang.Object[] getConstraints()

Specified by:
  `getConstraints` in interface `ConstraintMatcher`